For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create or Replace Availability Rule

Creates or replaces the availability rule for a given key. The dimension must be tags or vendors; the key is URL-encoded.

Create or Replace a Catalog Availability Rule

put

Creates or replaces the availability rule for a given key. The dimension must be 'tags' or 'vendors'; the key is URL-encoded.

Path parameters
merchant_idinteger · int32Required
dimensionstringRequired

'tags' or 'vendors'

keystringRequired

The tag or vendor name (URL-encoded)

Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

Configurations for the merchants inventory behaviors.

availablebooleanOptional

Whether the offer is available for purchase.

Default: false
publishedbooleanOptional

Whether the offer is published and visible.

Default: false
Responses
200

The created or replaced availability rule.

application/json

Configurations for the merchants inventory behaviors.

availablebooleanOptional

Whether the offer is available for purchase.

Default: false
publishedbooleanOptional

Whether the offer is published and visible.

Default: false
put/merchants/{merchant_id}/catalog-rules/availability/{dimension}/{key}
200

The created or replaced availability rule.

Last updated

Was this helpful?